package com.appli.camera;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import com.appli.patoche.R;

// https://github.com/josnidhin/Android-Camera-Example/blob/master/src/com/example/cam/CamTestActivity.java

// https://github.com/m-damavandi/ZoomableSurfaceView/tree/master/app/src/main/java/com/damavandi/zoomablesurfaceview

public class camera_template extends Activity
{

    Button btn_cam01;
    Button btn_preview01;
    Button btn_preview02;
    Button btn_flash;
    Button btn_pintch;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.camera_main_layout);


        btn_cam01 = (Button) findViewById(R.id.btn_cam01);
        btn_preview01 = (Button) findViewById(R.id.btn_preview1);
        btn_preview02 = (Button) findViewById(R.id.btn_preview2);
        btn_flash = (Button) findViewById(R.id.btn_flash);
        btn_pintch = (Button) findViewById(R.id.btn_pinch);

        btn_cam01.setOnClickListener(new View.OnClickListener()
        {
            public void onClick(View arg0) {
                Intent myIntent = new Intent(camera_template.this, cam01.class);
                startActivity(myIntent);
                Toast.makeText(getApplicationContext(), "Cam1...", Toast.LENGTH_LONG).show();
            }
        });


        btn_preview01.setOnClickListener(new View.OnClickListener()
        {
            public void onClick(View arg0) {
                Intent myIntent = new Intent(camera_template.this, preview01.class);
                startActivity(myIntent);
                Toast.makeText(getApplicationContext(), "Preview...", Toast.LENGTH_LONG).show();
            }
        });

        btn_preview02.setOnClickListener(new View.OnClickListener()
        {
            public void onClick(View arg0) {
                Intent myIntent = new Intent(camera_template.this, capture_preview01.class);
                startActivity(myIntent);
                Toast.makeText(getApplicationContext(), "Preview...", Toast.LENGTH_LONG).show();
            }
        });

        btn_flash.setOnClickListener(new View.OnClickListener()
        {
            public void onClick(View arg0) {
                Intent myIntent = new Intent(camera_template.this, Flash01.class);
                startActivity(myIntent);
                Toast.makeText(getApplicationContext(), "Flash...", Toast.LENGTH_LONG).show();
            }
        });

        btn_pintch.setOnClickListener(new View.OnClickListener()
        {
            public void onClick(View arg0) {
                Intent myIntent = new Intent(camera_template.this, pintch02.class);
                startActivity(myIntent);
                Toast.makeText(getApplicationContext(), "Pintch...", Toast.LENGTH_LONG).show();
            }
        });

    }

}

